package net.schubart.rubiks;

import java.awt.Button;
import java.awt.Event;
import java.awt.Frame;
import java.awt.Label;

//=============================================================================
// The RCWinFrame class is used for showing a success message.
//=============================================================================

class RCWinFrame extends Frame {

    protected Label label = new Label("You win!");

    protected Button ok = new Button("OK");

    //=========================================================================
    // Constructor.
    //=========================================================================
    public RCWinFrame() {
        super("Rubik's Cube");

        label.setAlignment(Label.CENTER);
        add("Center", label);
        add("South", ok);

        pack();
        resize(150, 100);
    }

    //=========================================================================
    // Hide window.
    //=========================================================================
    public boolean action(Event event, Object what) {
        if (event.target == ok) {
            hide();

            return true;
        }

        return false;
    }

    //=========================================================================
    // Hide window.
    //=========================================================================
    public boolean handleEvent(Event event) {
        if (event.id == Event.WINDOW_DESTROY) {
            hide();
        }

        return super.handleEvent(event);
    }
}
